local a,t,e
a=Map("daed")
a.title=translate("DAED")
a.description=translate("DAE is a Linux high-performance transparent proxy solution based on eBPF, And DAED is a modern dashboard for dae.")
a:section(SimpleSection).template="daed/daed_status"
t=a:section(TypedSection,"daed",translate("Global Settings"))
t.addremove=false
t.anonymous=true
e=t:option(Flag,"enabled",translate("Enable"))
e.default=0
enable=t:option(Flag,"subscribe_auto_update",translate("Enable Auto Subscribe Update"))
enable.rmempty=false
e=t:option(Value,"daed_username",translate("Username"))
e.default=Username
e.password=true
e:depends('subscribe_auto_update','1')
e=t:option(Value,"daed_password",translate("Password"))
e.default=Password
e.password=true
e:depends('subscribe_auto_update','1')
e=t:option(ListValue,"subscribe_update_week_time",translate("Update Cycle"))
e:value("*",translate("Every Day"))
e:value("1",translate("Every Monday"))
e:value("2",translate("Every Tuesday"))
e:value("3",translate("Every Wednesday"))
e:value("4",translate("Every Thursday"))
e:value("5",translate("Every Friday"))
e:value("6",translate("Every Saturday"))
e:value("7",translate("Every Sunday"))
e.default="*"
e:depends('subscribe_auto_update','1')
update_time=t:option(ListValue,"subscribe_update_day_time",translate("Update Time (Every Day)"))
for e=0,23 do
update_time:value(e,e..":00")
end
update_time.default=0
update_time:depends('subscribe_auto_update','1')
e=t:option(Value,"log_maxbackups",translate("Logfile retention count"))
e.default=1
e=t:option(Value,"log_maxsize",translate("Logfile Max Size (MB)"))
e.default=5
e=t:option(Value,"listen_addr",translate("Set the DAED listen address"))
e.default='0.0.0.0:2023'
a.apply_on_parse=true
a.on_after_apply=function(e,e)
luci.sys.exec("/etc/init.d/daed restart")
end
return a
